## com.saxonica
Class Validate

    java.lang.Object
      com.saxonica.Validate

    public class Validate

extends java.lang.Object

This Validate class provides a command line interface that causes a source document to be parsed and validated against a schema. Apart from error messages, no output is produced.

Field Summary
`protected SchemaAwareConfiguration` `config`
`protected int` `repeat`
`protected boolean` `showTime`
`protected java.lang.String` `topLevelElementName`
`protected boolean` `useURLs`
`protected int` `validationMode`
`protected int` `xsdLanguageVersion`

Constructor Summary
`Validate()`

Method Summary
`protected void` `badUsage(java.lang.String name, java.lang.String message)` Report incorrect usage of the command line, with a list of the options and arguments that are available
`protected void` `doValidate(java.lang.String[] args, java.lang.String name)` Support method for main program.
`static javax.xml.transform.Source` `loadDocument(java.lang.String sourceFileName, boolean useURLs, Configuration config)` Load a document, given a filename or URL
`static void` `main(java.lang.String[] args)` Main program, can be used directly from the command line.
`void` `processFile(javax.xml.transform.Source source)` Process a single file using a supplied schema
`protected static void` `quit(java.lang.String message, int code)` Exit with a message
`protected void` `setConfiguration()` Create the configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected SchemaAwareConfiguration config

### useURLs

    protected boolean useURLs

### showTime

    protected boolean showTime

### repeat

    protected int repeat

### validationMode

    protected int validationMode

### xsdLanguageVersion

    protected int xsdLanguageVersion

### topLevelElementName

    protected java.lang.String topLevelElementName

Constructor Detail

### Validate

    public Validate()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main program, can be used directly from the command line.

  Parameters:
    `args` - List of arguments supplied on operating system command line
  Throws:
    `java.lang.Exception` - Indicates that a compile-time or run-time error occurred

### setConfiguration

    protected void setConfiguration()

  Create the configuration. This method is intended to be overridden in a subclass

### doValidate

    protected void doValidate(java.lang.String[] args,
                              java.lang.String name)

  Support method for main program. This support method can also be invoked from subclasses that support the same command line interface

  Parameters:
    `args` - the command-line arguments
    `name` - name of the class, to be used in error messages

### quit

    protected static void quit(java.lang.String message,
                               int code)

  Exit with a message

  Parameters:
    `message` - The message to be output
    `code` - The result code to be returned to the operating system shell

### loadDocument

    public static javax.xml.transform.Source loadDocument(java.lang.String sourceFileName,
                                                          boolean useURLs,
                                                          Configuration config)
                                                   throws javax.xml.transform.TransformerException

  Load a document, given a filename or URL

  Parameters:
    `sourceFileName` - the name of the source file
    `useURLs` - true if name is to be treated as a URI
    `config` - the Saxon configuration
  Returns:
    the Source object that results from loading the document
  Throws:
    `javax.xml.transform.TransformerException`

### processFile

    public void processFile(javax.xml.transform.Source source)
                     throws javax.xml.transform.TransformerException

  Process a single file using a supplied schema

  Parameters:
    `source` - The source XML document to be transformed
  Throws:
    `javax.xml.transform.TransformerException` - If the transformation fails

### badUsage

    protected void badUsage(java.lang.String name,
                            java.lang.String message)

  Report incorrect usage of the command line, with a list of the options and arguments that are available

  Parameters:
    `name` - The name of the command being executed (allows subclassing)
    `message` - The error message

Copyright (c) Saxonica Limited. All rights reserved.